Home CVE Database CVE-2015-8607

CVE-2015-8607

Description

The canonpath function in the File::Spec module in PathTools before 3.62, as used in Perl, does not properly preserve the taint attribute of data, which might allow context-dependent attackers to bypass the taint protection mechanism via a crafted string.

Priority: High
CVSS v3: 7.3
Publish Date: Jan 13, 2016
Related ID: --
CVSS v2: High
Modified Date: Jan 20, 2016

Find out more about CVE-2015-8607 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Related Products

Product Name Status Defect Fixed Downloads
Linux 7 SCP Not Vulnerable -- -- --
Linux 7 CGP Not Vulnerable -- -- --

Comments

perl

Live chat
Online